# corsican params
# general
PROJECTNAME: 'PIDnetWildfire'
SESSIONAME: 'pidnet_ir'
DEVICE: 'cuda:0'
NUM_WORKERS: 8
ONLINELOG: True
SEED: 200
STOPCOUNTER: 20
VALID_FREQ: 2
WARMUP: 3
ROBUST_TRAIN: False
# model
MODEL: 'pidnet_s'
NUM_OUTPUTS: 2
PRETRAINED:  'weights/PIDNet_S_ImageNet.pth.tar'
CHECKPOINT: null
WINDOW_SIZE: 8
TF_CONFIG: [2, 6]
DECONV: False
# data
TRAINSET: 'lists/train_flm.txt'
VALIDSET: 'lists/test_flm.txt'
TESTSET: 'lists/test_flm.txt'
ROOTDATASET: '../Datasets/'
N_FRAMES: 2
MAX_FR_APART: 0
NUM_CLASSES: 3
CLS_NAMES: ['background', 'smoke', 'fire']
BLEND_IMGS_P: 0.0
#['bg', 'smoke', 'fire']
MODE: 'ir'
MULTISCALE: True
INTERPOLATION: False
FLIP: True
BRIGHTNESS: True
CONTRAST: False
ONE_INP_AUG: False           # this is for mid fusion, after attention
SINGLE_SOURCE_AUG: False
IGNORE_LABEL: 255
SCALE_FACTOR: 10
CROP_SIZE: [256, 256]
BASE_SIZE: 256
# CROP_SIZE: [272, 336]
# BASE_SIZE: 336
# 0.11, 0.14, 0.75
# CLASS_WEIGHTS: [0.08500684, 0.06720411, 0.01101274, 0.01511553, 0.01312412, 0.05520766, 0.0060942,  0.00487056, 0.00750978, 0.00095972, 0.00398282, 0.02955925, 0.07257852, 0.06084599, 0.00914129, 0.03644521, 0.02622424, 0.00638211, 0.05866264, 0.06574054, 0.03560546, 0.06574054, 0.08186377, 0.06854771, 0.06955541, 0.04301927]
CLASS_WEIGHTS: [2.27681343, 3.04257527, 8.8657764]
#[0.21, 0.34, 0.45]
ALIGN_CORNERS: True
# loss and optimization
LR: 0.001
BATCHSIZE: 5
EPOCHS: 500
OPTIM: 'SGD'
SCHED: 'POLY'
USE_OHEM: False
OHEMTHRES: 0.9
OHEMKEEP: 131072
WD: 0.00001
MOMENTUM: 0.9
NESTEROV: false
BALANCE_WEIGHTS: [0.4, 1.0]
T_THRESH_BDLOSS: 0.8
BD_WEIGHT: 1.0
SB_WEIGHTS: 1.0
